#
# spec file for package raidtools (Version 0.90)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf groff sgmltool sp sp-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sgmltool sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         raidtools
Version:      0.90
Release:      156
Summary:      Software-raid utilities
Copyright: (C)1997-99 Gadi Oxman, Ingo Molnar, Miguel de Icaza, Erik Troan | GPL
Group:       System Environment/Base
Provides:    mdutils raidtool
Obsoletes:   mdutils raidtool
Autoreqprov: on
Source: ftp://ftp.kernel.org/pub/linux/daemons/raid/alpha/raidtools-19990824-0.90.tar.bz2
Patch:  raidtools-0.90.dif

%description
This package is the successor of the md-utils.

Authors:
--------
    Gadi Oxman <gadio@netvision.net.il>
    Ingo Molnar <mingo@kernel.org>
    Miguel de Icaza <miguel@nuclecu.unam.mx>
    Erik Troan <ewt@redhat.com>

SuSE series: ap

%prep
%setup
%patch

%build
autoconf
./configure --mandir=%{_mandir}
make

%install
make install
install -m 744 raidconvert.sh /usr/sbin
cd Software-RAID.HOWTO
sgml2html Software-RAID.HOWTO.sgml

%files
/sbin/mkpv
/sbin/mkraid
/sbin/raid0run
/sbin/raidhotadd
/sbin/raidhotremove
/sbin/raidsetfaulty
/sbin/raidstart
/sbin/raidstop
/usr/sbin/raidconvert.sh
%doc COPYING README *.sample
%doc Software-RAID.HOWTO/Software-RAID.HOWTO.txt
%doc Software-RAID.HOWTO/Software-RAID.HOWTO*.html
%doc %{_mandir}/man5/raidtab.5.gz
%doc %{_mandir}/man8/ckraid.8.gz
%doc %{_mandir}/man8/mkpv.8.gz
%doc %{_mandir}/man8/mkraid.8.gz
%doc %{_mandir}/man8/raid0run.8.gz
%doc %{_mandir}/man8/raidadd.8.gz
%doc %{_mandir}/man8/raidrun.8.gz
%doc %{_mandir}/man8/raidstart.8.gz
%doc %{_mandir}/man8/raidstop.8.gz

%changelog -n raidtools
* Tue Aug 28 2001 - ro@suse.de
- added missing symlink raidsetfaulty (#9914)
- bzipped source
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Apr 10 2001 - ro@suse.de
- regenerate howto from sgml source (#6937)
* Tue Mar 13 2001 - schwab@suse.de
- Use getpagesize() instead of PAGE_SHIFT and PAGE_SIZE.
* Wed Dec 06 2000 - schwab@suse.de
- Fix to build on ia64.
* Tue Dec 05 2000 - ro@suse.de
- renamed to raidtools
* Tue Dec 05 2000 - ro@suse.de
- added provides and obsoletes for mdutils
* Mon Sep 25 2000 - ro@suse.de
- sorted
* Thu Feb 24 2000 - ro@suse.de
- man to /usr/share using macro
* Fri Oct 01 1999 - ro@suse.de
- updated to 19990824
- added raidconvert.sh to convert old mdtab to raidtab file
* Wed Aug 18 1999 - ro@suse.de
- updated to 0.90
- will need changes in boot/halt/reboot scripts if to replace mdutils
